Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 88)
@@ -154,6 +154,8 @@
                 return;
             }
 
+            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+
             // DataGridViewに項目名を設定
             SetGridDisplay();
 
@@ -168,7 +170,7 @@
 
             for (int i = 1; i < m_nMaxOrderNo; i++)
             {
-                int tcol = 8 + i;
+                int tcol = (int)ColumnName.Request01 + i;
 
                 dgv1.Columns[tcol].Visible = true;
             }
@@ -197,6 +199,9 @@
                     pnlApproval.Visible = true;
                 }
             }
+
+            dgv1.CellValueChanged += dgv1_CellValueChanged;
+
             m_bDirty = false;
 
         }
@@ -232,7 +237,6 @@
                     AcceptData();
                 }
 
-
                 // 請求回追加
                 AddRequest();
 
@@ -274,7 +278,7 @@
             ClearErrorIndicate();
 
             // 申請チェック
-            ret = CheckProcessApproval(ref lstMainConstructionCode);
+            ret = CheckApproval(ref lstMainConstructionCode);
 
             // 状態が入力中の場合
             if (nOldState == (int)ApprovalState.Entry)
@@ -285,7 +289,7 @@
                     // エラー表示
                     SetErrorIndicate(lstMainConstructionCode);
 
-                    ShowMessageBox("施工準備ではないため、請求書承認の申請はできません。", "申請確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    ShowMessageBox("請求準備ではないため、請求書承認の申請はできません。", "申請確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
 
                     return;
                 }
@@ -331,7 +335,7 @@
 
             int nNewState = GetApprovalState(m_ConstructionCode, m_nMaxOrderNo);
 
-            int tcol = m_nMaxOrderNo + 7;
+            int tcol = m_nMaxOrderNo + (int)ColumnName.Sum;
 
             if (nNewState != nOldState)
             {
@@ -502,7 +506,53 @@
         /// <param name="e"></param>
         private void dgv1_CellValueChanged(object sender, DataGridViewCellEventArgs e)
         {
-            m_bDirty = true;
+            int tcol = e.ColumnIndex;
+            int trow = e.RowIndex;
+
+            Debug.WriteLine(string.Format("dgv1_CellValueChanged[{0},{1}]", tcol, trow));
+
+            if (trow == -1)
+            {
+                return;
+            }
+
+            if (tcol == -1)
+            {
+                return;
+            }
+
+            // 最新請求回数列の場合
+            if (tcol == m_nMaxOrderNo + (int)ColumnName.Sum)
+            {
+                // 未入金分～工事の最大行までは編集可能領域
+                if(( trow >= 5)&&(trow <= m_nMaxRowNo)){
+                    m_bDirty = true;
+                }
+                return;
+            }
+
+            // 請求工事名の場合
+            if ((tcol == (int)ColumnName.ConstructionName) && (trow == 0))
+            {
+                m_bDirty = true;
+                return;
+            }
+
+            // 工事名列とコメント列の場合
+            if ((tcol == (int)ColumnName.ConstructionName) || (tcol == (int)ColumnName.Comment))
+            {
+                if (dgv1[(int)ColumnName.ConstructionType, trow].Value != null)
+                {
+                    // 該当行が本工事の場合は編集可能領域
+                    if (int.Parse(dgv1[(int)ColumnName.DgvKind, trow].Value.ToString()) == (int)dgvKind.BodyMainConstruction)
+                    {
+                         m_bDirty = true;
+                    }
+                 }
+                return;
+            }
+
+
         }
 
         /// <summary>
@@ -563,7 +613,7 @@
                 }
                 else if (str.Length > 120)
                 {
-                    msg = "件名が長すぎます(120文字まで入力可能)2";
+                    msg = "件名が長すぎます(120文字まで入力可能)";
                 }
 
                 if (msg != "")
